from autopilot import AutoPilot, RandomPilot
from simulator import Simulator
from visualization import VisualizationManager

# Создаем менеджер визуализации
viz_manager = VisualizationManager("Drone Autopilot - Global Map & Detection")

# Создаем симулятор с AutoPilot для обработки изображений
# Передаем менеджер визуализации в автопилот
simulator = Simulator(RandomPilot(), AutoPilot(viz_manager=viz_manager), viz_manager=viz_manager)

# Запускаем симуляцию
simulator.loop()
